Index: wsdl/fedd_types.xsd
===================================================================
--- wsdl/fedd_types.xsd	(revision ac0565831dbbb8f29159247ed49fb329ee553bbb)
+++ wsdl/fedd_types.xsd	(revision 7de153762a4de5757ca6355f67b43b4237774dca)
@@ -131,4 +131,19 @@
 
   <!-- end deprecated -->
+
+  <xsd:complexType name="proofType">
+    <xsd:annotation>
+      <xsd:documentation>
+	A proof or partial proof of access rights
+      </xsd:documentation>
+    </xsd:annotation>
+    <xsd:sequence>
+      <xsd:element name="prover" type="xsd:string"/>
+      <xsd:element name="principal" type="xsd:string"/>
+      <xsd:element name="attribute" type="xsd:string"/>
+      <xsd:element name="credential" type="xsd:base64Binary" 
+	maxOccurs="unbounded" minOccurs="0"/>
+    </xsd:sequence>
+  </xsd:complexType>
 
   <xsd:simpleType name="statusType">
@@ -478,4 +493,5 @@
       <xsd:element name="experimentStatus" type="tns:statusType"/>
       <xsd:element name="experimentAccess" type="tns:accessType"/>
+      <xsd:element name="proof" type="tns:proofType"/>
     </xsd:sequence>
   </xsd:complexType>
@@ -523,4 +539,5 @@
       <xsd:element name="fedAttr" type="tns:fedAttrType" minOccurs="0"
 	maxOccurs="unbounded"/>
+      <xsd:element name="proof" type="tns:proofType"/>
     </xsd:sequence>
   </xsd:complexType>
@@ -546,4 +563,5 @@
     <xsd:sequence>
       <xsd:element name="allocID" type="tns:IDType"/>
+      <xsd:element name="proof" type="tns:proofType"/>
     </xsd:sequence>
   </xsd:complexType>
@@ -584,4 +602,6 @@
 	maxOccurs="unbounded"/>
       <xsd:element name="experimentStatus" type="tns:statusType"/>
+      <xsd:element name="proof" type="tns:proofType" minOccurs="1" 
+	maxOccurs="unbounded"/>
     </xsd:sequence>
   </xsd:complexType>
@@ -610,4 +630,5 @@
       <xsd:element name="experiment" type="tns:IDType"/>
       <xsd:element name="vtopo" type="tns:vtopoType"/>
+      <xsd:element name="proof" type="tns:proofType"/>
     </xsd:sequence>
   </xsd:complexType>
@@ -638,4 +659,5 @@
       <xsd:element name="experiment" type="tns:IDType"/>
       <xsd:element name="vis" type="tns:visType"/>
+      <xsd:element name="proof" type="tns:proofType"/>
     </xsd:sequence>
   </xsd:complexType>
@@ -666,4 +688,6 @@
     <xsd:sequence>
       <xsd:element name="name" type="tns:IDType" minOccurs="1" 
+	maxOccurs="unbounded"/>
+      <xsd:element name="proof" type="tns:proofType" minOccurs="1" 
 	maxOccurs="unbounded"/>
     </xsd:sequence>
@@ -719,4 +743,5 @@
       <xsd:element name="embedding" type="tns:embeddingMapType" minOccurs="0"
 	maxOccurs="unbounded"/>
+      <xsd:element name="proof" type="tns:proofType"/>
     </xsd:sequence>
   </xsd:complexType>
@@ -741,4 +766,6 @@
     <xsd:sequence>
       <xsd:element name="info" type="tns:infoResponseType" minOccurs="0"
+	maxOccurs="unbounded"/>
+      <xsd:element name="proof" type="tns:proofType" minOccurs="0" 
 	maxOccurs="unbounded"/>
     </xsd:sequence>
@@ -767,4 +794,5 @@
       <xsd:element name="deallocationLog" type="xsd:string" minOccurs="0"
 	maxOccurs="1"/>
+      <xsd:element name="proof" type="tns:proofType" minOccurs="1" maxOccurs="unbounded"/>
     </xsd:sequence>
   </xsd:complexType>
@@ -805,4 +833,5 @@
       <xsd:element name="fedAttr" type="tns:fedAttrType" minOccurs="0"
 	maxOccurs="unbounded"/>
+      <xsd:element name="proof" type="tns:proofType" />
     </xsd:sequence>
   </xsd:complexType>
@@ -830,4 +859,5 @@
       <xsd:element name="deallocationLog" type="xsd:string" minOccurs="0"
 	maxOccurs="1"/>
+      <xsd:element name="proof" type="tns:proofType" />
     </xsd:sequence>
   </xsd:complexType>
@@ -854,4 +884,5 @@
       <xsd:element name="experimentdescription" 
 	type="tns:experimentDescriptionType"/>
+      <xsd:element name="proof" type="tns:proofType"/>
     </xsd:sequence>
   </xsd:complexType>
@@ -878,4 +909,5 @@
       <xsd:element name="name" type="xsd:string"/> 
       <xsd:element name="value" type="xsd:string"/> 
+      <xsd:element name="proof" type="tns:proofType"/>
     </xsd:sequence>
   </xsd:complexType>
@@ -902,4 +934,5 @@
       <xsd:element name="name" type="xsd:string"/> 
       <xsd:element name="value" type="xsd:string" minOccurs="0" maxOccurs="1"/> 
+      <xsd:element name="proof" type="tns:proofType"/>
     </xsd:sequence>
   </xsd:complexType>
@@ -939,4 +972,6 @@
       </xsd:element>
       <xsd:element name="desc" type="xsd:string"/>
+      <xsd:element name="proof" type="tns:proofType" 
+	minOccurs="0" maxOccurs="unbounded"/>
     </xsd:sequence>
   </xsd:complexType>
